%global momorel 1
%global srcname networkmanager
%global date 20090514
%global qtver 4.5.1
%global kdever 4.2.3
%global kdelibsrel 1m
%global kdebaseworkspacerel 1m

Summary: KDE applet for Network Manager
Name: knetworkmanager4
Version: 0.7
Release: 0.%{date}.%{momorel}m%{?dist}
License: GPLv2+
URL: http://en.opensuse.org/Projects/KNetworkManager
Group: Applications/Internet
Source0: %{srcname}-%{date}.tar.bz2
Patch0: %{srcname}-%{date}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: NetworkManager
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase-workspace-devel >= %{kdever}-%{kdebaseworkspacerel}
BuildPreReq: NetworkManager-devel >= 0.7.0
BuildPreReq: cmake
BuildPreReq: dbus-devel
BuildPreReq: hal-devel
BuildPreReq: libnl-devel
BuildPreReq: wireless-tools

%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

%prep
%setup -q -n %{srcname}-%{date}

%patch0 -p1 -b .desktop-ja

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DDBUS_SYSTEM_POLICY_DIR=/etc/dbus-1/system.d \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc DESIGN TODO
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/NetworkManager-kde4.conf
%{_kde4_libdir}/kde4/libexec/networkmanagement_configshell
%{_kde4_libdir}/kde4/kcm_networkmanagement.so
%{_kde4_libdir}/kde4/kded_knetworkmanager.so
%{_kde4_libdir}/kde4/networkmanagement_openvpnui.so
%{_kde4_libdir}/kde4/networkmanagement_vpncui.so
%{_kde4_libdir}/kde4/plasma_applet_networkmanagement.so
%{_kde4_libdir}/libknmdbus.so*
%{_kde4_libdir}/libknmstorage.so*
%{_kde4_libdir}/libknmui.so*
%{_kde4_appsdir}/desktoptheme/default/networkmanagement
%{_kde4_appsdir}/networkmanagement
%{_kde4_iconsdir}/oxygen/32x32/actions/accesspoint.png
%{_kde4_datadir}/kde4/services/kded/knetworkmanager.desktop
%{_kde4_datadir}/kde4/services/kcm_networkmanagement.desktop
%{_kde4_datadir}/kde4/services/networkmanagement_openvpnui.desktop
%{_kde4_datadir}/kde4/services/networkmanagement_vpncui.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-networkmanagement.desktop
%{_kde4_datadir}/kde4/servicetypes/networkmanagement_vpnuiplugin.desktop
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
* Thu May 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20090514.1m)
- update to 20090514 svn snapshot (rev. 967932)
- update desktop.patch

* Fri Feb 27 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20090227.1m)
- update and switch to 20090227 svn snapshot of playground-base

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7-0.20081218.2m)
- rebuild against rpm-4.6

* Thu Jan  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7-0.20081218.1m)
- update to 20081218 svn snapshot

* Fri Aug  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080801.1m)
- update to 20080801 svn snapshot
- disable parallel make

* Mon Jun 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080530.2m)
- update translations

* Fri May 30 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080530.1m)
- update to 20080530 svn snapshot
- back from the living to trunk, GJ

* Sat May 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080517.1m)
- update to 20080517 svn snapshot

* Sat May 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080510.1m)
- update to 20080510 svn snapshot

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2-5m)
- rebuild against qt3

* Tue May  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080506.1m)
- update to 20080506 svn snapshot

* Tue Apr 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080429.1m)
- update to 20080429 svn snapshot

* Thu Apr 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080417.1m)
- update to 20080417 svn snapshot

* Wed Apr  9 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080409.1m)
- update to 20080409 svn snapshot

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2-4m)
- rebuild against gcc43

* Mon Mar 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080324.1m)
- update to 20080324 svn snapshot

* Sun Mar 16 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080316.1m)
- update to 20080316 svn snapshot

* Wed Mar  5 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080305.1m)
- update to 20080305 svn snapshot

* Mon Feb 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080225.1m)
- update to 20080225 svn snapshot

* Thu Feb 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080221.1m)
- update to 20080221 svn snapshot

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080219.1m)
- update to 20080219 svn snapshot

* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-0.20080214.1m)
- update to 20080214 svn snapshot

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-3m)
- %%NoSource -> NoSource

* Sun Oct 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2m)
- fix autostart issue

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- version 0.2
- enable VPN support

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.2m)
- change "Categories" of knetworkmanager.desktop from "System" to "Network"

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.1m)
- initial package for Momonga Linux
